---
lang: en
title: 'API docs: tsdocs.updateapidocs'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/strongloop/loopback-next/tree/master/packages/tsdocs
permalink: /doc/en/lb4/apidocs.tsdocs.updateapidocs.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/tsdocs](./tsdocs.md) &gt; [updateApiDocs](./tsdocs.updateapidocs.md)

## updateApiDocs() function

Update markdown files generated by api-documenter to prepend Jekyll metadata and generate `apidocs/index.md`<!-- -->.

<b>Signature:</b>

```typescript
export declare function updateApiDocs(options?: ApiDocsOptions): Promise<void>;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  options | [ApiDocsOptions](./tsdocs.apidocsoptions.md) | Options for api docs |

<b>Returns:</b>

Promise&lt;void&gt;


